> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# واجهة برمجة التطبيقات لاستعلام مهام Wan

> Wan API guide - Ace Data Cloud

`POST https://api.acedata.cloud/wan/tasks` تُستخدم لاستعلام، استعلام جماعي أو حذف مهام فيديو Wan. استعلام المهام لا يتطلب رسوم توليد متكررة.

## استعلام مهمة واحدة

```bash theme={null}
curl -X POST 'https://api.acedata.cloud/wan/tasks' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"action":"retrieve","id":"TASK_ID"}'
```

رابط الفيديو في `response.data.video_url` هو عنوان CDN دائم؛ `response.usage` يحتوي على الدقة، مدة الفيديو المدخل/المخرج بالثواني، معدل الإطارات والنسبة؛ `response.cost` هو تسوية مهمة التوليد.

## استعلام جماعي

```json theme={null}
{
  "action": "retrieve_batch",
  "ids": [
    "TASK_ID_1",
    "TASK_ID_2"
  ]
}
```

يرجع `{ "items": [...], "count": 2 }`. قد لا يكون هناك `finished_at` و `response` النهائي أثناء سير المهمة.

## حذف سجل المهمة

```json theme={null}
{
  "action": "delete",
  "id": "TASK_ID"
}
```

الحذف يؤثر فقط على سجل المهام، ولن يحذف فيديو CDN الذي تم توليده.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.